diff --git python-kmod/python-kmod.spec python-kmod/python-kmod.spec.tmp
index 900c605978..26773a25ff 100644
--- python-kmod/python-kmod.spec
+++ python-kmod/python-kmod.spec.tmp
@@ -3,7 +3,7 @@ License:        LGPLv2+
 Group:          Development/Libraries
 Summary:        Python module to work with kernel modules
 Version:        0.9
-Release:        14%{?dist}
+Release:        15%{?dist}
 URL:            https://github.com/agrover/python-kmod/
 Source0:        https://github.com/downloads/agrover/%{name}/%{name}-%{version}.tar.gz
 BuildRequires:  python2-devel
@@ -17,10 +17,18 @@ BuildRequires:  kmod-devel
 %filter_setup
 }
 
-%description
-Python module to allow listing, loading, and unloading
+%global _description\
+Python module to allow listing, loading, and unloading\
 Linux kernel modules, using libkmod.
 
+%description %_description
+
+%package -n python2-kmod
+Summary: %summary
+%{?python_provide:%python_provide python2-kmod}
+
+%description -n python2-kmod %_description
+
 %package -n python3-kmod
 Group:          Development/Libraries
 Summary:        Python module to work with kernel modules
@@ -40,7 +48,7 @@ Linux kernel modules, using libkmod.
 %{__python} setup.py install --skip-build --root %{buildroot}
 %{__python3} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-kmod
 %{python_sitearch}/kmod/*
 %{python_sitearch}/kmod*.egg-info
 %doc COPYING.LESSER README
@@ -51,6 +59,10 @@ Linux kernel modules, using libkmod.
 %doc COPYING.LESSER README
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-15
+- Python 2 subpackage renamed to python2-kmod
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-krbV/python-krbV.spec python-krbV/python-krbV.spec.tmp
index 6cadccce69..cd885f0ef3 100644
--- python-krbV/python-krbV.spec
+++ python-krbV/python-krbV.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-krbV
 Version: 1.0.90
-Release: 14%{?dist}
+Release: 15%{?dist}
 Summary: Python extension module for Kerberos 5
 
 Group: Development/Languages
@@ -17,9 +17,17 @@ BuildRequires: /bin/awk
 
 BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 
-%description
+%global _description\
 python-krbV allows python programs to use Kerberos 5 authentication and security.
 
+%description %_description
+
+%package -n python2-krbv
+Summary: %summary
+%{?python_provide:%python_provide python2-krbv}
+
+%description -n python2-krbv %_description
+
 %prep
 %setup -q
 
@@ -37,12 +45,16 @@ export CFLAGS="%{optflags} -Wextra"
 %clean
 %{__rm} -rf %{buildroot}
 
-%files
+%files -n python2-krbv
 %defattr(-,root,root,-)
 %doc README COPYING krbV-code-snippets.py
 %{python_sitearch}/krbVmodule.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.90-15
+- Python 2 subpackage renamed to python2-krbv
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.90-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-larch/python-larch.spec python-larch/python-larch.spec.tmp
index fb51eac3e9..cfab8450e1 100644
--- python-larch/python-larch.spec
+++ python-larch/python-larch.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pkgname}
 Version:        1.20151025
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Python B-tree library
 
 License:        GPLv3+
@@ -20,37 +20,45 @@ BuildRequires:  python-sphinx
 BuildRequires:  python-cliapp
 BuildRequires:  python-tracing
 BuildRequires:  python-ttystatus
-Requires:       python-cliapp
-Requires:       python-tracing
-Requires:       python-ttystatus
 
-%description
-This is an implementation of particular kind of B-tree, based on
-research by Ohad Rodeh. See "B-trees, Shadowing, and Clones" (copied
-here with permission of author) for details on the data
-structure. This is the same data structure that btrfs uses. Note that
-my implementation is independent from the btrfs one, and might differ
-from what the paper describes.
-
-The distinctive feature of this B-tree is that a node is never
-modified (sort-of). Instead, all updates are done by
-copy-on-write. Among other things, this makes it easy to clone a tree,
-and modify only the clone, while other processes access the original
-tree. This is utterly wonderful for my backup application, and that's
-the reason I wrote larch in the first place.
-
-I have tried to keep the implementation generic and flexible, so that
-you may use it in a variety of situations. For example, the tree
-itself does not decide where its nodes are stored: you provide a class
-that does that for it. I have two implementations of the NodeStore
-class, one for in-memory and one for on-disk storage.
-
-The tree attempts to guarantee this: all modifications you make will
-be safely stored in the node store when the larch.Forest.commit method
-is called. After that, unless you actually modify the committed tree
-yourself, it will be safe from further modifications. (You need to
-take care to create a new tree for further modifications, though.)
+%global _description\
+This is an implementation of particular kind of B-tree, based on\
+research by Ohad Rodeh. See "B-trees, Shadowing, and Clones" (copied\
+here with permission of author) for details on the data\
+structure. This is the same data structure that btrfs uses. Note that\
+my implementation is independent from the btrfs one, and might differ\
+from what the paper describes.\
+\
+The distinctive feature of this B-tree is that a node is never\
+modified (sort-of). Instead, all updates are done by\
+copy-on-write. Among other things, this makes it easy to clone a tree,\
+and modify only the clone, while other processes access the original\
+tree. This is utterly wonderful for my backup application, and that's\
+the reason I wrote larch in the first place.\
+\
+I have tried to keep the implementation generic and flexible, so that\
+you may use it in a variety of situations. For example, the tree\
+itself does not decide where its nodes are stored: you provide a class\
+that does that for it. I have two implementations of the NodeStore\
+class, one for in-memory and one for on-disk storage.\
+\
+The tree attempts to guarantee this: all modifications you make will\
+be safely stored in the node store when the larch.Forest.commit method\
+is called. After that, unless you actually modify the committed tree\
+yourself, it will be safe from further modifications. (You need to\
+take care to create a new tree for further modifications, though.)\
+
+
+%description %_description
+
+%package -n python2-%{pkgname}
+Summary: %summary
+Requires:       python-ttystatus
+Requires:       python-tracing
+Requires:       python-cliapp
+%{?python_provide:%python_provide python2-%{pkgname}}
 
+%description -n python2-%{pkgname} %_description
 
 %package        doc
 Summary:        Documentation for %{pkgname}
@@ -85,7 +93,7 @@ rm -rf build
 make check
 
 
-%files
+%files -n python2-%{pkgname}
 %doc COPYING NEWS README
 %{_mandir}/man1/fsck-larch.1*
 %{_bindir}/fsck-larch
@@ -96,6 +104,10 @@ make check
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.20151025-5
+- Python 2 subpackage renamed to python2-larch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20151025-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lazyarray/python-lazyarray.spec python-lazyarray/python-lazyarray.spec.tmp
index a8497a15bd..1af42fe767 100644
--- python-lazyarray/python-lazyarray.spec
+++ python-lazyarray/python-lazyarray.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:       python-%{module_name}
 Version:    0.2.8
-Release:    7%{?dist}
+Release:    8%{?dist}
 Summary:    A lazily-evaluated numerical array class
 
 License:    BSD
@@ -13,11 +13,9 @@ Source0:    https://pypi.python.org/packages/source/l/%{module_name}/%{module_na
 # Not included in the pypi release for some reason
 Source1:    lazyarray-doc-conf.py
 Source2:    Makefile.lazyarray
-Provides:   python2-%{module_name}
 
 BuildRequires:  python2-devel python-setuptools numpy python-nose
 BuildRequires:  python-sphinx
-Requires:       numpy
 BuildArch:      noarch
 
 %if 0%{?with_python3}
@@ -25,24 +23,34 @@ BuildRequires:  python3-devel python3-setuptools python3-numpy
 BuildRequires:  python3-nose
 %endif # if with_python3
 
-%description
-lazyarray is a Python package that provides a lazily-evaluated numerical array
-class, ``larray``, based on and compatible with NumPy arrays.
+%global _description\
+lazyarray is a Python package that provides a lazily-evaluated numerical array\
+class, ``larray``, based on and compatible with NumPy arrays.\
+\
+Lazy evaluation means that any operations on the array (potentially including\
+array construction) are not performed immediately, but are delayed until\
+evaluation is specifically requested. Evaluation of only parts of the array is\
+also possible.\
+\
+Use of an ``larray`` can potentially save considerable computation time and\
+memory in cases where:\
+\
+    * arrays are used conditionally (i.e. there are cases in which the array is\
+      never used)\
+    * only parts of an array are used (for example in distributed computation,\
+      in which each MPI node operates on a subset of the elements of the array)\
+\
+Documentation: http://lazyarray.readthedocs.org/
 
-Lazy evaluation means that any operations on the array (potentially including
-array construction) are not performed immediately, but are delayed until
-evaluation is specifically requested. Evaluation of only parts of the array is
-also possible.
+%description %_description
 
-Use of an ``larray`` can potentially save considerable computation time and
-memory in cases where:
+%package -n python2-%{module_name}
+Summary: %summary
+Requires:       numpy
+Provides:   python2-%{module_name}
+%{?python_provide:%python_provide python2-%{module_name}}
 
-    * arrays are used conditionally (i.e. there are cases in which the array is
-      never used)
-    * only parts of an array are used (for example in distributed computation,
-      in which each MPI node operates on a subset of the elements of the array)
-      
-Documentation: http://lazyarray.readthedocs.org/
+%description -n python2-%{module_name} %_description
 
 %package docs
 Summary:    Documentation for %{name}
@@ -138,7 +146,7 @@ popd
 #popd
 #%endif
 
-%files
+%files -n python2-%{module_name}
 %doc LICENSE changelog.txt README 
 %{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info
 %{python2_sitelib}/%{module_name}.py*
@@ -159,6 +167,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.8-8
+- Python 2 subpackage renamed to python2-lazyarray
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ldaphelper/python-ldaphelper.spec python-ldaphelper/python-ldaphelper.spec.tmp
index 3d7c568e21..e49e692901 100644
--- python-ldaphelper/python-ldaphelper.spec
+++ python-ldaphelper/python-ldaphelper.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-ldaphelper
 Version:        1.0.1
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A python wrapper for LDAP search results
 
 Group:          Development/Languages
@@ -14,12 +14,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python
 
+%global _description\
+A wrapper for search results from python-ldap, which introduces an\
+LDAPSearchResults class, with various methods to make use of the\
+data.
+
+%description %_description
+
+%package -n python2-ldaphelper
+Summary: %summary
 Requires:       python-ldap
+%{?python_provide:%python_provide python2-ldaphelper}
 
-%description
-A wrapper for search results from python-ldap, which introduces an
-LDAPSearchResults class, with various methods to make use of the
-data.
+%description -n python2-ldaphelper %_description
 
 %prep
 %setup -q -n ldaphelper-%{version}
@@ -36,13 +43,17 @@ install -pm 644 src/ldaphelper.py $RPM_BUILD_ROOT/%{python_sitelib}
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-ldaphelper
 %defattr(-,root,root,-)
 %doc README.txt GPL.txt MIT.txt
 %{python_sitelib}/ldaphelper.py*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-16
+- Python 2 subpackage renamed to python2-ldaphelper
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ldappool/python-ldappool.spec python-ldappool/python-ldappool.spec.tmp
index 47b1e97224..3cf8bc7de9 100644
--- python-ldappool/python-ldappool.spec
+++ python-ldappool/python-ldappool.spec.tmp
@@ -2,28 +2,36 @@
 
 Name:           python-%{srcname}
 Version:        1.0
-Release:        9%{?dist}
+Release:        10%{?dist}
 Url:            https://github.com/mozilla-services/ldappool
 Summary:        A connection pool for python-ldap
 License:        MPLv1.1 and GPLv2+ and LGPLv2+
 Group:          Development/Libraries
 Source:         http://pypi.python.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz
 BuildRequires:  python2-devel
-Requires:       python-ldap
 BuildArch:      noarch
 
-%description
-A simple connector pool for python-ldap.
+%global _description\
+A simple connector pool for python-ldap.\
+\
+The pool keeps LDAP connectors alive and let you reuse them,\
+drastically reducing the time spent to initiate a ldap connection.\
+\
+The pool has useful features like:\
+\
+- transparent re-connection on failures or server restarts\
+- configurable pool size and connectors timeouts\
+- configurable max lifetime for connectors\
+- a context manager to simplify acquiring and releasing a connector
 
-The pool keeps LDAP connectors alive and let you reuse them,
-drastically reducing the time spent to initiate a ldap connection.
+%description %_description
 
-The pool has useful features like:
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-ldap
+%{?python_provide:%python_provide python2-%{srcname}}
 
-- transparent re-connection on failures or server restarts
-- configurable pool size and connectors timeouts
-- configurable max lifetime for connectors
-- a context manager to simplify acquiring and releasing a connector
+%description -n python2-%{srcname} %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -40,11 +48,15 @@ python setup.py install --prefix=%{_prefix} --root=%{buildroot}
 # FIXME: add license files as soon as upstream adds them
 # https://github.com/mozilla-services/ldappool/issues/2
 
-%files
+%files -n python2-%{srcname}
 %doc README.rst
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-10
+- Python 2 subpackage renamed to python2-ldappool
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ldap/python-ldap.spec python-ldap/python-ldap.spec.tmp
index 9708a72843..68a5121172 100644
--- python-ldap/python-ldap.spec
+++ python-ldap/python-ldap.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-ldap
 Version: 2.4.25
-Release: 5%{?dist}
+Release: 6%{?dist}
 Epoch: 0
 License: Python
 Group: System Environment/Libraries
@@ -15,9 +15,7 @@ Source0: http://pypi.python.org/packages/source/p/python-ldap/python-ldap-%{vers
 Patch0: python-ldap-2.4.16-dirs.patch
 
 ### Dependencies ###
-Requires: openldap 
 # LDAP controls, extop, syncrepl require pyasn1
-Requires: python-pyasn1, python-pyasn1-modules
 
 ### Build Dependencies ###
 BuildRequires: openldap-devel
@@ -31,12 +29,22 @@ BuildRequires: cyrus-sasl-devel
 %filter_setup
 }
 
-%description
-python-ldap provides an object-oriented API for working with LDAP within
-Python programs.  It allows access to LDAP directory servers by wrapping the 
-OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks 
+%global _description\
+python-ldap provides an object-oriented API for working with LDAP within\
+Python programs.  It allows access to LDAP directory servers by wrapping the\
+OpenLDAP 2.x libraries, and contains modules for other LDAP-related tasks\
 (including processing LDIF, LDAPURLs, LDAPv3 schema, etc.).
 
+%description %_description
+
+%package -n python2-ldap
+Summary: %summary
+Requires: python-pyasn1, python-pyasn1-modules
+Requires: openldap
+%{?python_provide:%python_provide python2-ldap}
+
+%description -n python2-ldap %_description
+
 %prep
 %setup -q -n python-ldap-%{version}
 %patch0 -p1 -b .dirs
@@ -55,7 +63,7 @@ sed -i 's|#! python|#!/usr/bin/python|g' Demo/simplebrowse.py
 %{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-ldap
 %defattr(-,root,root,-)
 %doc LICENCE CHANGES README TODO Demo
 %{python_sitearch}/_ldap.so
@@ -66,6 +74,10 @@ sed -i 's|#! python|#!/usr/bin/python|g' Demo/simplebrowse.py
 %{python_sitearch}/python_ldap-%{version}-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0:2.4.25-6
+- Python 2 subpackage renamed to python2-ldap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:2.4.25-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ldaptor/python-ldaptor.spec python-ldaptor/python-ldaptor.spec.tmp
index 434a531ffc..265a4b40aa 100644
--- python-ldaptor/python-ldaptor.spec
+++ python-ldaptor/python-ldaptor.spec.tmp
@@ -4,7 +4,7 @@
 
 Name: python-ldaptor
 Version: 16.0.1
-Release: 1%{?dist}
+Release: 2%{?dist}
 Summary: Python LDAP client library
 License: LGPLv2
 URL: https://github.com/twisted/ldaptor
@@ -14,14 +14,22 @@ Source1: global.cfg
 BuildArch: noarch
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
-Requires: %{required_modules}
 
-%description
-Ldaptor is LDAP library written in pure Python. The library implements LDAP
-client logic, separately-accessible LDAP and BER protocol message generation
-and parsing, ASCII format LDAP filter generation and parsing, LDIF format
+%global _description\
+Ldaptor is LDAP library written in pure Python. The library implements LDAP\
+client logic, separately-accessible LDAP and BER protocol message generation\
+and parsing, ASCII format LDAP filter generation and parsing, LDIF format\
 data generation, and Samba password changing logic.
 
+%description %_description
+
+%package -n python2-ldaptor
+Summary: %summary
+Requires: %{required_modules}
+%{?python_provide:%python_provide python2-ldaptor}
+
+%description -n python2-ldaptor %_description
+
 %package doc
 Summary: Documentation for python-ldaptor package
 BuildRequires: dia libxslt docbook-style-xsl docbook-slides source-highlight epydoc python-docutils 
@@ -80,7 +88,7 @@ install -d -m 0755 %{buildroot}%{_pkgdocdir}
 #done
 
 
-%files
+%files -n python2-ldaptor
 %license LICENSE
 %exclude %{_pkgdocdir}/*/
 %dir %{_sysconfdir}/ldaptor
@@ -100,6 +108,10 @@ install -d -m 0755 %{buildroot}%{_pkgdocdir}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 16.0.1-2
+- Python 2 subpackage renamed to python2-ldaptor
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Mar  8 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 16.0.1-1
 - Upstream 16.0.1-1
 
diff --git python-lesscpy/python-lesscpy.spec python-lesscpy/python-lesscpy.spec.tmp
index 6407ac9181..f842c1e1b0 100644
--- python-lesscpy/python-lesscpy.spec
+++ python-lesscpy/python-lesscpy.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.10.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Lesscss compiler
 
 License:        MIT
@@ -23,12 +23,20 @@ BuildRequires:  python-nose
 BuildRequires:  python-coverage
 BuildRequires:  python-flake8
  
+%global _description\
+A compiler written in python 3 for the lesscss language.  For those of us not\
+willing/able to have node.js installed in our environment.  Not all features\
+of lesscss are supported (yet).  Some features wil probably never be\
+supported (JavaScript evaluation).
+
+%description %_description
+
+%package -n python2-lesscpy
+Summary: %summary
 Requires:       python-ply
-%description
-A compiler written in python 3 for the lesscss language.  For those of us not 
-willing/able to have node.js installed in our environment.  Not all features 
-of lesscss are supported (yet).  Some features wil probably never be 
-supported (JavaScript evaluation). 
+%{?python_provide:%python_provide python2-lesscpy}
+
+%description -n python2-lesscpy %_description
 
 %if 0%{?with_python3}
 %package -n python3-lesscpy
@@ -89,7 +97,7 @@ popd
 #popd
 #%endif # with_python3
 
-%files
+%files -n python2-lesscpy
 %doc LICENSE
 %{python_sitelib}/%{pypi_name}
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -104,6 +112,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.1-11
+- Python 2 subpackage renamed to python2-lesscpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lettuce/python-lettuce.spec python-lettuce/python-lettuce.spec.tmp
index 6cf4bad9c1..f11bf8739c 100644
--- python-lettuce/python-lettuce.spec
+++ python-lettuce/python-lettuce.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.2.20
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Behaviour Driven Development for Python
 
 License:        GPLv3+
@@ -18,11 +18,6 @@ Source1:        %{pypi_name}-%{version}-tests.tgz
 Patch0:         %{pypi_name}-0.2.20-fix-tests-with-django-1.8.patch
 BuildArch:      noarch
 
-Requires:       mailcap
-Requires:       python-fuzzywuzzy
-Requires:       python-setuptools
-Requires:       python-subunit
-Requires:       python-sure
 # If file /etc/mime.types (from mailcap package) is not present, Python returns javascript mimetype
 # 'application/x-javascript'. This is IMHO wrong behaviour, as IANA specifies application/javascript.
 # application/x-javascript causes 3 tests to fail, so requiring mailcap for now.
@@ -43,10 +38,23 @@ BuildRequires:  python-sure
 BuildRequires:  python-tornado
 
 
-%description
-Lettuce is a Behavior Driven Development tool for Python, 100%% inspired on
-Cucumber - BDD with elegance and joy.
+%global _description\
+Lettuce is a Behavior Driven Development tool for Python, 100%% inspired on\
+Cucumber - BDD with elegance and joy.\
+
+
+%description %_description
 
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-sure
+Requires:       python-subunit
+Requires:       python-setuptools
+Requires:       python-fuzzywuzzy
+Requires:       mailcap
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{version}
@@ -70,13 +78,17 @@ nosetests -s tests/unit
 nosetests -s tests/functional
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.md COPYING
 %{_bindir}/lettuce
 %{python_sitelib}/%{pypi_name}
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.20-6
+- Python 2 subpackage renamed to python2-lettuce
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.20-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-lexicon/python-lexicon.spec python-lexicon/python-lexicon.spec.tmp
index 17819c1dd6..e3443cb2b4 100644
--- python-lexicon/python-lexicon.spec
+++ python-lexicon/python-lexicon.spec.tmp
@@ -6,7 +6,7 @@
 
 Name: python-%{pypi_name}
 Version: 0.2.0
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: A powerful dict sub-classes for Python
 
 License: BSD
@@ -14,13 +14,19 @@ URL: https://github.com/bitprophet/lexicon
 Source0: https://pypi.python.org/packages/source/l/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
 BuildArch: noarch
-Requires: python-six
 BuildRequires: python-devel python-setuptools 
 
 %global common_desc \
 Lexicon is a simple Python 2.6+ and 3.3+ compatible collection of dict\
 sub-classes providing extra power.
 
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires: python-six
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %{common_desc}
+
 %description 
 %{common_desc}
 
@@ -66,7 +72,7 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc LICENSE README.*
 %{python_sitelib}/%{pypi_name}/
 %{python_sitelib}/%{pypi_name}-%{version}-*.egg-info/
@@ -79,6 +85,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-9
+- Python 2 subpackage renamed to python2-lexicon
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-libarchive/python-libarchive.spec python-libarchive/python-libarchive.spec.tmp
index d080284fb5..2428dc7373 100644
--- python-libarchive/python-libarchive.spec
+++ python-libarchive/python-libarchive.spec.tmp
@@ -10,7 +10,7 @@ name:          python-%{baselib}
 # "Version" is upstream_version + upstream_release
 # "-" has been replaced by "." as suggested by #fedora-devel folks
 Version:       %{upstream_version}.%{upstream_release}
-Release:       11%{?dist}
+Release:       12%{?dist}
 Summary:       Fully functional Python wrapper for libarchive
 License:       BSD
 URL:           http://code.google.com/p/python-libarchive/
@@ -23,22 +23,30 @@ BuildRequires: python-setuptools
 BuildRequires: %{baselib}-devel
 BuildRequires: swig
 
-%description
-Fully functional Python wrapper for libarchive. Created using SWIG. The
-low-level API provides access to all of the functionality of libarchive.
-
-The package also includes a high level python library which mimics the zipfile
-and tarfile modules.
+%global _description\
+Fully functional Python wrapper for libarchive. Created using SWIG. The\
+low-level API provides access to all of the functionality of libarchive.\
+\
+The package also includes a high level python library which mimics the zipfile\
+and tarfile modules.\
+\
+Libarchive supports the following:\
+\
+- Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar, cab,\
+  mtree, rar, and ISO images.\
+\
+- Writes tar, pax, cpio, zip, xar, ar, ISO, mtree, and shar archives.\
+\
+- Automatically handles archives compressed with gzip, bzip2, lzip, xz, lzma,\
+  or compress.
 
-Libarchive supports the following:
+%description %_description
 
-- Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar, cab,
-  mtree, rar, and ISO images.
+%package -n python2-%{baselib}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{baselib}}
 
-- Writes tar, pax, cpio, zip, xar, ar, ISO, mtree, and shar archives.
-
-- Automatically handles archives compressed with gzip, bzip2, lzip, xz, lzma,
-  or compress.
+%description -n python2-%{baselib} %_description
 
 %prep
 %setup -qn %{name}-%{upstream_version}-%{upstream_release}
@@ -58,11 +66,15 @@ make
 popd
 %{__python} tests.py
 
-%files
+%files -n python2-%{baselib}
 %doc README.rst
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1.2.1-12
+- Python 2 subpackage renamed to python2-libarchive
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-libasyncns/python-libasyncns.spec python-libasyncns/python-libasyncns.spec.tmp
index 7d87272059..00572862d0 100644
--- python-libasyncns/python-libasyncns.spec
+++ python-libasyncns/python-libasyncns.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-libasyncns
 Version:        0.7.1
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        Python binding for libasyncns
 
 Group:          Development/Languages
@@ -13,9 +13,17 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel libasyncns-devel >= 0.4
 
-%description
+%global _description\
 Python binding for the libasyncns asynchronous name service query library.
 
+%description %_description
+
+%package -n python2-libasyncns
+Summary: %summary
+%{?python_provide:%python_provide python2-libasyncns}
+
+%description -n python2-libasyncns %_description
+
 %prep
 %setup -q -n libasyncns-python-%{version}
 
@@ -36,13 +44,17 @@ find $RPM_BUILD_ROOT%{_libdir} -type f -exec chmod 0755 '{}' \;
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-libasyncns
 %defattr(-,root,root,-)
 %doc README LICENSE
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-17
+- Python 2 subpackage renamed to python2-libasyncns
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
